# mxchat.cz

## Přehled
mxchat.cz je platforma postavená na protokolu Matrix, která poskytuje bezpečnou a decentralizovanou komunikaci. Tento repozitář slouží jako oficiální stránka projektu, kde najdete základní informace, konfigurace a právní podmínky.

## Obsah
- [Úvod do Matrix a Synapse](#úvod-do-matrix-a-synapse)
- [Element](#element)
- [Mosty (Bridges)](#mosty-bridges)
- [Základní Konfigurace](#základní-konfigurace)
- [Ověření Federace](#ověření-federace)
- [Přispívání](#přispívání)
- [Licence](#licence)

## Úvod do Matrix a Synapse
Matrix je otevřená síť pro bezpečnou a decentralizovanou komunikaci. Synapse je referenční implementace domácího serveru Matrix, navržená tak, aby byla lehká a snadno instalovatelná. S Matrixem mohou uživatelé komunikovat napříč různými platformami pomocí mostů.

## Element
Element je klient pro komunikaci v síti Matrix, který nabízí uživatelsky přívětivé rozhraní a pokročilé funkce jako end-to-end šifrování, videohovory a mnoho dalšího. Element můžete používat přímo na našem serveru:
- [Element mxchat.cz](https://element.mxchat.cz)

## Mosty (Bridges)
mxchat.cz podporuje integraci s mnoha dalšími komunikačními platformami pomocí mostů (bridges). Tyto mosty umožňují komunikaci napříč různými platformami přímo z Matrixu. Zde je seznam podporovaných mostů:
- [LinkedIn Bridge](https://github.com/beeper/linkedin) - `/matrix-beeper-linkedin-registration.yaml`
- [Discord Bridge](https://github.com/tulir/mautrix-discord) - `/matrix-mautrix-discord-registration.yaml`
- [Google Chat Bridge](https://github.com/tulir/mautrix-googlechat) - `/matrix-mautrix-googlechat-registration.yaml`
- [Signal Bridge](https://github.com/tulir/mautrix-signal) - `/matrix-mautrix-signal-registration.yaml`
- [Meta Messenger Bridge](https://github.com/tulir/mautrix-facebook) - `/matrix-mautrix-meta-messenger-registration.yaml`
- [Instagram Bridge](https://github.com/tulir/mautrix-instagram) - `/matrix-mautrix-meta-instagram-registration.yaml`
- [Telegram Bridge](https://github.com/tulir/mautrix-telegram) - `/matrix-mautrix-telegram-registration.yaml`
- [Google Messages Bridge](https://github.com/tulir/mautrix-gmessages) - `/matrix-mautrix-gmessages-registration.yaml`
- [WhatsApp Bridge](https://github.com/tulir/mautrix-whatsapp) - `/matrix-mautrix-whatsapp-registration.yaml`
- [Steam Bridge](https://github.com/matrix-hacks/mx-puppet-steam) - `/matrix-mx-puppet-steam-registration.yaml`

## Základní Konfigurace
Tento repozitář obsahuje základní příklady konfigurace pro Matrix Synapse a několik užitečných skriptů. Konfigurace je nastavena pro použití HTTPS na portu 8448 pro federaci a HTTP na portu 8008 pro klientské připojení. Doporučujeme použít TLS i pro klientské připojení v produkčním prostředí.

## Ověření Federace
Pro ověření federace a klientských verzí můžete použít následující odkazy:
- [Kontrola verzí klienta](https://matrix.mxchat.cz/_matrix/client/versions)
- [Kontrola verzí federace](https://matrix.mxchat.cz:8448/_matrix/federation/v1/version)
- [Konfigurace serveru](https://mxchat.cz/.well-known/matrix/server)
- [Ověření federace](https://federationtester.matrix.org/#mxchat.cz)

## Přispívání
Uvítáme příspěvky od komunity. Prosím přečtěte si naše [Pokyny pro přispívání](CONTRIBUTING.md) pro více informací, jak se zapojit.

## Licence
Tento projekt je licencován pod MIT licencí. Podívejte se na soubor [LICENCE](LICENCE) pro více informací.
